ZARAFA-MAILBOX-(8)

NAME
zarafa-mailbox-permissions - Manage mailbox delegate permissions.

SYNOPSIS

zarafa-mailbox-permissions ACTION [MAILBOXES...]

DESCRIPTION

This script can be used to show delegate permissions and settings for users. The Zarafa server must be running forzarafa-mailbox-permissions to work.

You can show delegates and permissions information, and add or update delegate permissions on a mailbox.

ACTIONS

zarafa-mailbox-permissions needs an action command with the appropriate options. Valid actions are:

--update-delegate username
    Add or update delegate information for username on specified mailboxes.

--remove-all-permissions
    Removes all delegates and explicit permissions on folders from one or more mailboxes.

--list-permissions
    Show all delegates and folder permissions of one or more mailbox.

--list-permissions-per-folder
    Show delegates and folder containing explicit permissions of one or more mailbox.

OPTIONS

The options used by actions are as follows:

-a, --all
    Perform the action on all available users in the zarafa-server.

-h, --host URL
    Use URL to connect to the zarafa-server. Default is file:///var/run/zarafa.

-s, --sslkey-file FILENAME
    Use this file as the SSL private key to connect to the zarafa-server. Default is no SSL key.

-p, --sslkey-pass PASSWORD
    Use this password as the SSL private key password. Default is no SSL key password.

--verbose
    Currently unused, but may be used in the future for more information.

--calendar [none|readonly|secretary|owner]
    When updating a delegate, set these permissions on the default calendar folder of the given mailboxes. Select one of the permission preset to set on the folder.

--tasks [none|readonly|secretary|owner]
    When updating a delegate, set these permissions on the default tasks folder of the given mailboxes. Select one of the permission preset to set on the folder.

--inbox [none|readonly|secretary|owner]
    When updating a delegate, set these permissions on the default inbox folder of the given mailboxes. Select one of the permission preset to set on the folder.

--notes [none|readonly|secretary|owner]
    When updating a delegate, set these permissions on the default notes folder of the given mailboxes. Select one of the permission preset to set on the folder.

--journal [none|readonly|secretary|owner]
    When updating a delegate, set these permissions on the default journal folder of the given mailboxes. Select one of the permission preset to set on the folder.

--store [denied|norights|readonly|secretary|owner|fullcontrol]
    When updating a delegate, set these permissions on the store of the given mailboxes. All folders in the store inherit these permissions unless explicitly overwritten. Select one of the permission preset to set on the store.

--see-private [no|yes]
    When updating a delegate, allow the delegate to see private marked items of the given mailboxes.

--sendcopy [no|yes]
    When updating a delegate, mark the delegate to receive a copy of meeting requests in their inbox for the given mailboxes.

--send-only-to-delegators [no|yes]
    When updating a delegate, and --sendcopy is used, let the delegates receive meeting requests only, and not the owner of the given mailboxes.

--help
    Show a help text of the program and some usage examples.

AUTHOR

Written by Zarafa.

SEE ALSO

 zarafa-server(8), zarafa-server.cfg(5)